Package Details: imp 1.3.0-2

Git Clone URL: https://aur.archlinux.org/imp.git (read-only)
Package Base: imp
Description: A simple command-line image manipulation program
Upstream URL: http://jangler.info/code/imp
Keywords: cli graphics image
Licenses: MIT
Submitter: jangler
Maintainer: jangler
Last Packager: jangler
Votes: 0
Popularity: 0.000000
First Submitted: 2015-04-26 11:14
Last Updated: 2015-06-16 02:20

Dependencies (1)

Required by (0)

Sources (1)

Latest Comments

jangler commented on 2015-05-14 20:30

Fixed it! (I think.)

sekret commented on 2015-05-14 19:20

Hey! The build doesn't really work:

$ makepkg
==> Making package: imp 1.2.0-1 (Thu May 14 21:18:09 CEST 2015)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving sources...
-> Found 1.2.0.tar.gz
==> Validating source files with sha256sums...
1.2.0.tar.gz ... Passed
==> Extracting sources...
-> Extracting 1.2.0.tar.gz with bsdtar
==> Starting build()...
imp.go:16:2: cannot find package "github.com/jangler/imp/filter" in any of:
/usr/lib/go/src/github.com/jangler/imp/filter (from $GOROOT)
($GOPATH not set)
imp.go:17:2: cannot find package "github.com/jangler/imp/util" in any of:
/usr/lib/go/src/github.com/jangler/imp/util (from $GOROOT)
($GOPATH not set)
==> ERROR: A failure occurred in build().
Aborting...

I'm not familiar with go, so I don't really know how to fix this ...

The environment variable GOPATH isn't set, that's true. I did re-login after installing go, still nothing. No idea...!